Skip to content
Start here

Update zone snippet rules

PUT/zones/{zone_id}/snippets/snippet_rules

Updates all snippet rules belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
Path ParametersExpand Collapse
zone_id: string

Use this field to specify the unique ID of the zone.

Body ParametersJSONExpand Collapse
rules: array of object { id, expression, last_updated, 3 more }

Lists snippet rules.

id: string

Specify the unique ID of the rule.

expression: string

Define the expression that determines which traffic matches the rule.

minLength1
last_updated: string

Specify the timestamp of when the rule was last modified.

formatdate-time
snippet_name: string

Identify the snippet.

description: optional string

Provide an informative description of the rule.

enabled: optional boolean

Indicate whether to execute the rule.

ReturnsExpand Collapse
errors: array of object { message, code }

Lists error messages.

message: string

Describes the message text.

minLength1
code: optional number

Identify the message code.

messages: array of object { message, code }

Contain warning messages.

message: string

Describes the message text.

minLength1
code: optional number

Identify the message code.

result: unknown

Contain the response result.

success: true

Indicate whether the API call was successful.

Update zone snippet rules

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/snippets/snippet_rules \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "rules": [
            {
              "expression": "ip.src eq 1.1.1.1",
              "snippet_name": "my_snippet"
            }
          ]
        }'
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {},
  "success": true
}